
import Vue from 'vue'
import App from './App'
import { store } from './store/index.js';
import dateTimePickGroup from './components/date-time-pick-group/date-time-pick-group.vue';
import dateTimePick from './components/date-time-pick/date-time-pick.vue';
import dropdown from './components/dt-dropdown/dt-dropdown.vue'
import row from "./components/tm-trees/row.vue";
import uniPopup from "./components/uni-popup/uni-popup.vue"

import uView from "uview-ui";
Vue.use(uView);

Vue.config.productionTip = false;
Vue.prototype.$store = store;
Vue.component('com-date-pick-group', dateTimePickGroup);
Vue.component('com-date-time-pick', dateTimePick);
Vue.component('tm-trees-row', row);
Vue.component('dropdown', dropdown);
Vue.component('uni-popup', uniPopup);

App.mpType = 'app'

const app = new Vue({
  ...App,
  store
})
app.$mount()
